# ------------------------------------------------------------------
# bankBalance.s
#	v4.1.1:	** NOT IMPLEMENTED **
#	returns the content of the balance field for the specified
#	.. bank object
# ..................................................................
# calling sequence:
#	push address of bank object
#	call	bankBalance	
#	add 4 to stack pointer
# ..................................................................
# author: David Bozarth - 13 May 2004
# modified 13 May 2004
# ------------------------------------------------------------------
#
#************
#ret
#************
#
	.include "bankClass.h"
#
WORD = 4
#
# Stack frame
stkTop = basePtr		# top-of-stack marker
basePtr = 0
rtnAddr = basePtr + WORD
thisPtr = rtnAddr + WORD	# object base address argument

	.text
	.align	WORD
	.globl	bankBalance

bankBalance:
	pushl	%ebp			# save caller's base pointer
	movl	%esp, %ebp		# establish our base pointer
	addl	$stkTop, %esp		# allocate local variables
	pushl	%ebx			# save registers
	#pushl	%ecx
	#pushl	%edx

	movl	thisPtr(%ebp), %ebx	# base address of bank object
	movl	theBal(%ebx), %eax	# int account_bal -> return value
	
allDone:
	#popl	%edx			# restore registers
	#popl	%ecx
	popl	%ebx
	movl	%ebp, %esp		# restore stack pointer
	popl	%ebp			# restore caller's base pointer
	ret
